Docs Ali Pix /openapi/v2/video/fusion/generate
API reference

Multi-agent (multi-reference) video generation

Generate a fused video from multiple reference images (subject/background) and a prompt; supports @ref_name references.

POST/openapi/v2/video/fusion/generate

Body Parametersapplication/json

aspect_ratio* string

1.Basically provide "16:9", "9.16", "4:3", "3:4", "1:1" aspect ratio 2.v6, c1 additionally supports "2:3", "3:2", "21:9"

duration* integer

Video generation duration v4.5 : 5/8 (v3.5 1080p cannot be used 8) v5: 5/8 v5.5/5.6 : 5/8/10 (1080p not available 10)

generate_audio_switch boolean

Support v5.6, v6, c1 / control switch Audio. true: Audio on, false: Audio off

image_references* array

Array of image references (1–3 items) containing "body" or "background" v4.5/v5: Up to 3 pictures v5.5/v5.6/v6: up to 7 pictures

items
object object
model* string

"v4.5","v5","v5.5","v5.6",,"v6", "c1"

prompt* string

Use @ref_name to describe the scene accurately 1. There must be a space after @ref_name, such as @cat plays 2. The name referenced in prompt must exactly match the ref_name in image_references

quality* string

"360p","540p","720p","1080p"

seed integer

Random seed; same seed makes results reproducible

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"aspect_ratio": "16:9",
3"duration": 5,
4"image_references": [
5{
6"img_id": 0,
7"ref_name": "dog",
8"type": "subject"
9},
10{
11"img_id": 0,
12"ref_name": "room",
13"type": "background"
14}
15],
16"model": "v5.6",
17"prompt": "@dog plays at @room",
18"quality": "720p",
19"seed": 123456789
20}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/video/fusion/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"duration": 5,
7"image_references": [
8{
9"img_id": 0,
10"ref_name": "dog",
11"type": "subject"
12},
13{
14"img_id": 0,
15"ref_name": "room",
16"type": "background"
17}
18],
19"model": "v5.6",
20"prompt": "@dog plays at @room",
21"quality": "720p",
22"seed": 123456789
23}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}